@import "variables";

@mixin mobile {
  @media (max-width: #{$mobile-width}) {
    @content
  }
}


@mixin tablet {
  @media (max-width: #{$tablet-width}) {
    @content
  }
}

@mixin only-desktop {
  display: block;

  @include mobile {
    display: none;
  }
}

@mixin only-mobile {
  display: none;

  @include mobile {
    display: block;
  }
}

@mixin trans {
  transition: all .3s ease-in-out;
}

@mixin galleryOverflow{
  position: relative;
  &::after {
    display: block;
    width: 100%;
    height: 100%;
    z-index: 2;
    content: '';
    background-color: rgba(23, 29, 41, 0.7);
    position: absolute;
    top: 0;
    left: 0;
  }
}
